Description

Currently, users that access Redmine through the API with a given API key won't surface, as their last_login_on field doesn't get

updated. This is a bit problematic in our case, as we can't easily distinguish between an inactive user and one that solely uses the

API. The attached patch would change this behavior by calling user.update_last_login_on when finding the user via the API key.

Do you think it makes sense to apply this change or are there reasons against it?

Related issues:

Related to Redmine - Defect #20648: Users' "Last connection" is not updated c... Closed

History

#1 - 2022-06-19 22:09 - Marius BĂLTEANU

- Target version set to Candidate for next minor release

#2 - 2022-06-19 22:10 - Marius BĂLTEANU

- Target version changed from Candidate for next minor release to Candidate for next major release

Andreas Skorczyk wrote:

Do you think it makes sense to apply this change or are there reasons against it?

 It makes sense to me to update the last_login_on. Any other opinions?

#3 - 2022-06-22 12:17 - Go MAEDA

I think that if last_login_on is updated by requests via API, then it should also be updated by requests via a web browser.

Current:

`GET /issues` via browser don't update last_login_on

`GET /issues.json` via API don't update last_login_on

After applying the patch:

`GET /issues` via browser don't update last_login_on

`GET /issues.json` API updates last_login_on

Should be:

`GET /issues` via browser updates last_login_on

`GET /issues.json` API updates last_login_on

#4 - 2022-06-22 12:17 - Go MAEDA

- Related to Defect #20648: Users' "Last connection" is not updated correctly. added

#5 - 2023-08-03 03:01 - tu tu

I met the same issue，My redmine version is 5.0.0.

However,I download the latest redmine code,it doesn't include this patch.So,does this issue fix in the latest redmine?
